using System.ComponentModel.DataAnnotations;

namespace FoodShop.Models
{
    public class Country
    {
        [Required, Key]
        public int Id { get; set; }

        [StringLength(69), Display(Name = "Nome")]
        public string Name { get; set; }

        [StringLength(2)]
        public string TwoLetterIsoCode { get; set; }

        [StringLength(3)]
        public string ThreeLetterIsoCode { get; set; }

        [StringLength(69)]
        public string ShippingType { get; set; }
        public bool LocalShipping { get; set; }
        public bool AllowsShipping { get; set; }

        public bool Published { get; set; }
    }
}
